/*!\file InputScalex
 * \brief: duplicte  an input inside the elements, onto another, and wipe it off.
 */

#include "./InputScalex.h"
#include "../../shared/shared.h"
#include "../../include/include.h"
#include "../../toolkits/toolkits.h"
#include "../../EnumDefinitions/EnumDefinitions.h"

void InputScalex(Elements* elements,Nodes* nodes,Vertices* vertices,Loads* loads,Materials* materials,Parameters* parameters,int enum_type, IssmDouble scale_factor){

	/*intermediary:*/
	int      i;

	/*Go through elemnets, and ask to reinitialie the input: */
	for(i=0;i<elements->Size();i++){
		Element* element=dynamic_cast<Element*>(elements->GetObjectByOffset(i));
		element->InputScale(enum_type,scale_factor);
	}

}
